function [rolsydata]=rolsy_mn(t1data)
%adapted from AB function gorosy
t1data
t1data.SPECTRA=t1data.SPECTRA';
% figure
% plot(t1data.SPECTRA(1,:))
th=0.005
[peak]=peakpick_mn(t1data.SPECTRA(end,:)',th);
%[peak]=peakpick_mn(t1data.SPECTRA(:,1),th);
[npeaks]=length(peak);

fn1=128;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
xdiff=linspace(0,10,fn1); %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
dd=xdiff(2) - xdiff(1);
opts=optimset('lsqcurvefit');
opts=optimset(opts,'Display','off');
%opts=optimset(opts,'TolFun',1e-15);
% opts=optimset(opts,'Jacobian','on');
t1data.FITTED=zeros(npeaks,length(t1data.d2));
hp = waitbar(0,'ROSY: Fitting each peak');
ROSY=zeros(t1data.np,fn1);

for i=1:npeaks
    %     disp(['ROSY: Peak: ' num2str(i) ])
    waitbar(i/npeaks);
    drawnow %to allow for interrupt
    fitparm(1)=t1data.SPECTRA(end,peak(i).max);
    fitparm(2)=25;
    %     for kk=1:length(fitparm)
    %         if fitparm(kk)<=0
    %             fitparm(kk)=1;
    %         end
    %     end
    
    [fitd,resnorm,residual,exitflag,output,lambda,jacobian]=...
        lsqcurvefit(@finvrec,fitparm,t1data.d2,t1data.SPECTRA(:,peak(i).max),[0 0],[Inf Inf],opts);
    
    fitd=real(fitd);
    
    
    %get the standard error
    CM=full(inv(jacobian'*jacobian));
    sderr=0;
    for jj=1:2
        sderr(jj)=sqrt(resnorm/(length(t1data.d2)-2))*sqrt(CM(jj,jj));
    end
    sderr=real(sderr)
    
    ii=1;
    %Create matrix
    ROSY(peak(i).start:peak(i).stop,:)=ROSY(peak(i).start:peak(i).stop,:)+...
        t1data.SPECTRA(end,peak(i).start:peak(i).stop)'*fitd(ii)*...
        (erf( (xdiff + dd/2 -fitd(ii+1))/sderr(ii+1)) -...
        erf( (xdiff - dd/2 -fitd(ii+1))/sderr(ii+1)));
    ii=ii+2;
end
close(hp);

clev=4;
clvl=4.^(0:clev);
clvl=clvl(1:clev);
clvl=1./clvl;
maxc=max(max(ROSY));
clvl=clvl.*maxc.*(th/100);

figure
[xax,yax]=meshgrid(t1data.Ppmscale,xdiff);
[C,hCont]=contour(xax,yax,ROSY',clvl,'k');

set(gca,'LineWidth',2)
set(gca,'Ydir','reverse');
ylabel('\bf T_1 / s ');
set(gca,'Xdir','reverse');
xlabel('\bf Chemical shift / ppm');
% axis([-0.5 7 0 5]) %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
xlim([0.5 4.5])

end